kind: ConfigMap
apiVersion: v1
metadata:
  annotations:
    kubectl.kubernetes.io/last-applied-configuration: >
      {"apiVersion":"v1","data":{"config.yaml":"istio_namespace:
      maistraone\nserver:\n  port: 20001\n  static_content_root_directory:
      /opt/kiali/console\nexternal_services:\n  istio:\n    url_service_version:
      http://istio-pilot:8080/version\n  jaeger:\n    url:
      https://jaeger-query-maistraone.apps.mwringe-test.devcluster.openshift.com\n 
      grafana:\n    url:
      http://grafana-maistraone.apps.mwringe-test.devcluster.openshift.com\napi:\n 
      namespaces:\n    label_selector: maistra.io/member-of=maistraone\nauth:\n 
      strategy: openshift\nidentity:\n  cert_file: /kiali-cert/tls.crt\n 
      private_key_file:
      /kiali-cert/tls.key"},"kind":"ConfigMap","metadata":{"annotations":{"maistra.io/mesh-generation":"1"},"labels":{"app":"kiali","chart":"kiali","heritage":"Tiller","maistra-version":"0.11.0","maistra.io/owner":"maistraone","release":"istio"},"name":"kiali","namespace":"maistraone","ownerReferences":[{"apiVersion":"maistra.io/v1","blockOwnerDeletion":true,"controller":true,"kind":"ServiceMeshControlPlane","name":"multitenant-install","uid":"85b26cff-7e28-11e9-952c-0a59ed55e39c"}]}}
    maistra.io/mesh-generation: '1'
  selfLink: /api/v1/namespaces/maistraone/configmaps/kiali
  resourceVersion: '391093'
  name: kiali
  uid: d52f159a-7e29-11e9-952c-0a59ed55e39c
  creationTimestamp: '2019-05-24T13:42:54Z'
  namespace: maistraone
  ownerReferences:
    - apiVersion: maistra.io/v1
      kind: ServiceMeshControlPlane
      name: multitenant-install
      uid: 85b26cff-7e28-11e9-952c-0a59ed55e39c
      controller: true
      blockOwnerDeletion: true
  labels:
    app: kiali
    chart: kiali
    heritage: Tiller
    maistra-version: 0.11.0
    maistra.io/owner: maistraone
    release: istio
data:
  config.yaml: |-
    istio_namespace: maistraone
    server:
      port: 20001
      static_content_root_directory: /opt/kiali/console
    external_services:
      istio:
        url_service_version: http://istio-pilot:8080/version
      jaeger:
        url: https://jaeger-query-maistraone.apps.mwringe-test.devcluster.openshift.com
      grafana:
        url: http://grafana-maistraone.apps.mwringe-test.devcluster.openshift.com
    api:
      namespaces:
        label_selector: maistra.io/member-of=maistraone
    auth:
      strategy: openshift
    identity:
      cert_file: /kiali-cert/tls.crt
      private_key_file: /kiali-cert/tls.key

